Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9562;

https://www.cip.audi.de/jira/browse/ADIS

TB-834;

https://www.cip.audi.de/jira/browse/ACO

RE-9787;

https://www.cip.audi.de/jira/browse/ACO

RE-10079

Department:  Affected Products: ADTF 3.5.0

Requester's Priority: Normal Platform:  

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Während des ADTF3-Entwicklertrainings in der Audi Akademie sind mir eine Reihe von Bugs aufgefallen.

ADTF Version Information

adtf 3.999.713 Build 713 win64_vc140 release

1. Numpad Enter funktioniert nicht im ADTF Control

2. Taste Del funktioniert nicht im Signal Table View um Signale zu entfernen

3. Configuration Editor wird unresponsive beim Auswählen eines Projekts aus der Recent Projects Liste auf der Startseite

4. SetValidRange hat keine Funktion auf den Property Editor. Ungültige Werte können eingegeben werden

5. Configuration Editor stürzt ab nach einigen Klicks im Property Editor

6. Property Editor lässt Eingabe von Werten nur durch Klick zu, aber nicht mit Enter

7. Adtf_control setprop funktioniert nicht mit negativen Werten:

adtf> setprop "default_streaming_graph/default_filter_graph/Training Custom Properties" Punkt 1;-1

  # geht

adtf> setprop "default_streaming_graph/default_filter_graph/Training Custom Properties" Punkt -1;-

1  # geht nicht

adtf> setprop "default_streaming_graph/default_filter_graph/Training Custom Properties" Punkt " -1

;-1" # geht (Leerzeichen vor Minus)

adtf> setprop "default_streaming_graph/default_filter_graph/Training Custom Properties" Punkt "-1;

-1" # geht nicht

 8. Notices im FilterGraph können auf eine negative Breite verkleinert werden und werden damit unsichtbar

Lösung

1. Numpad Enter funktioniert nicht im ADTF Control

 Ist bereits bekannt und muss beim Keyboard Design 2019b beachtet werden (ACORE-9562)

2. Taste Del funktioniert nicht im Signal Table View um Signale zu entfernen
 Ebenfalls Known Problem -> ADISTB-834

3. Configuration Editor wird unresponsive beim Auswählen eines Projekts aus der Recent Projects Liste auf der Startseite

 Das ist mittlerweile behoben und wird im 3.6.0 Release nicht mehr auftreten.

Grund war der Doppelklick (Einfachauswahl müsste funktioniert haben).

Nun geht jedenfalls alles (Einfach/Doppelklick, Kontextmenu), ebenso eine Fehlermeldung, sollte der Pfad nicht mehr existent sein

(mit Abfrage zum löschen).

4. SetValidRange hat keine Funktion auf den Property Editor. Ungültige Werte können eingegeben werden

 Die Range kam in der 3.6.0er API erst neu hinzu, das Tooling muss das noch umsetzen, ist noch als Todo für Folgeversion vermerkt

-> ACORE-9787.

Wird deshalb beim Redesign des Property Editors mitgemacht.

5. Configuration Editor stürzt ab nach einigen Klicks im Property Editor

 Leider nicht reproduzierbar, hierzu würden wir eine genauere Anleitung benötigen (welche Komponente, was zu tun, usw).

Ggf. war das auch ein Qt 5.9.x Problem auf dem System, das wird es so im Release nicht mehr geben (Win10, Qt 5.12.4)

6. Property Editor lässt Eingabe von Werten nur durch Klick zu, aber nicht mit Enter

 Leider nicht reproduzierbar, hierzu würden wir eine genauere Anleitung benötigen (welche Komponente, was zu tun, usw).

Ggf. war das auch ein Qt 5.9.x Problem auf dem System, das wird es so im Release nicht mehr geben (Win10, Qt 5.12.4).

7. Adtf_control setprop funktioniert nicht mit negativen Werten

 Hab dafür das Produktticket ACORE-10079 angelegt

8. Notices im FilterGraph können auf eine negative Breite verkleinert werden und werden damit unsichtbar

 Tritt nach Redesign der Graph View (Bestandteil ADTF 3.6.0 Release) nicht mehr auf.

History

#1 - 2019-07-22 10:58 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Affected Products ADTF 3.5.0 added

#2 - 2019-07-22 11:25 - hidden

- Customer set to AUDI

#3 - 2019-07-23 12:27 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9562; https://www.cip.audi.de/jira/browse/ADISTB-834;

https://www.cip.audi.de/jira/browse/ACORE-9787; https://www.cip.audi.de/jira/browse/ACORE-10079

- Support Level changed from 2nd Level to 3rd Level

Hallo Ulrich,

vielen Dank für dein Feedback !
7. Adtf_control setprop funktioniert nicht mit negativen Werten

 Hab dafür das Produktticket ACORE-10079 angelegt

8. Notices im FilterGraph können auf eine negative Breite verkleinert werden und werden damit unsichtbar
#4 - 2019-07-23 13:37 - hidden

Hallo, danke für die Antworten. Ich werde die möglicherweise Qt-bezogenen Probleme in der Release-Version dann nochmal ausprobieren.

#5 - 2019-07-24 18:22 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF 3 Bug to Keyboard and UI findings

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#6 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
